<?php

namespace YSquare\GiftCert\Controller;

use OxidEsales\Eshop\Core\Registry;

class OrderController extends OrderController_parent {

    public function execute()
    {
        $viewConfig = $this->getViewConfig();

        if(!$viewConfig->isGiftcertBusinessCleanBasket()) {
            Registry::getUtilsView()->addErrorToDisplay("YS_GIFTCERT_BUSINESS_NOT_UNIQUE_BASKET_ERROR", false, false, null, 'basket');
            return "basket";
        }

        return parent::execute();
    }

}
